Virtual Network Gateways - List
Gets all virtual network gateways by resource group.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualNetworkGateways?api-version=2025-05-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
subscription
|
path | True |
string (uuid) |
The ID of the target subscription. The value must be an UUID. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure operation completed successfully. |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
ListVirtualNetworkGatewaysinResourceGroup
Sample request
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/virtualNetworkGateways?api-version=2025-05-01
Sample response
{
"value": [
{
"name": "vpngw1",
"type": "Microsoft.Network/virtualNetworkGateways",
"etag": "W/\"00000000-0000-0000-0000-000000000000\"",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/virtualNetworkGateways/vpngw1",
"location": "loc1",
"properties": {
"activeActive": false,
"allowRemoteVnetTraffic": false,
"allowVirtualWanTraffic": false,
"bgpSettings": {
"asn": 65515,
"bgpPeeringAddress": "10.0.0.14",
"peerWeight": 0
},
"customRoutes": {
"addressPrefixes": [
"101.168.0.6/32"
]
},
"disableIPSecReplayProtection": false,
"enableBgp": false,
"enableBgpRouteTranslationForNat": false,
"enablePrivateIpAddress": false,
"gatewayType": "Vpn",
"ipConfigurations": [
{
"name": "default",
"etag": "W/\"00000000-0000-0000-0000-000000000000\"",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/virtualNetworkGateways/vpngw1/ipConfigurations/default",
"properties": {
"privateIPAllocationMethod": "Dynamic",
"provisioningState": "Succeeded",
"publicIPAddress": {
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/publicIPAddresses/vpngw1-ip"
},
"subnet": {
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/virtualNetworks/vnet1/subnets/GatewaySubnet"
}
}
}
],
"natRules": [
{
"name": "natRule1",
"etag": "W/\"00ae2b69-88e7-4b3a-b66a-cfa2244e0801\"",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/virtualNetworkGateways/vpngw1/natRules/natRule1",
"properties": {
"type": "Static",
"externalMappings": [
{
"addressSpace": "50.0.0.0/24"
}
],
"internalMappings": [
{
"addressSpace": "10.10.0.0/24"
}
],
"mode": "EgressSnat",
"provisioningState": "Succeeded"
}
},
{
"name": "natRule2",
"etag": "W/\"00ae2b69-88e7-4b3a-b66a-cfa2244e0801\"",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/virtualNetworkGateways/vpngw1/natRules/natRule2",
"properties": {
"type": "Static",
"externalMappings": [
{
"addressSpace": "30.0.0.0/24"
}
],
"internalMappings": [
{
"addressSpace": "20.10.0.0/24"
}
],
"mode": "IngressSnat",
"provisioningState": "Succeeded"
}
}
],
"provisioningState": "Succeeded",
"resourceGuid": "00000000-0000-0000-0000-000000000000",
"sku": {
"name": "VpnGw1",
"capacity": 2,
"tier": "VpnGw1"
},
"virtualNetworkGatewayMigrationStatus": {
"errorMessage": "",
"phase": "",
"state": ""
},
"vpnClientConfiguration": {
"vpnClientProtocols": [],
"vpnClientRevokedCertificates": [],
"vpnClientRootCertificates": []
},
"vpnGatewayGeneration": "None",
"vpnType": "RouteBased"
}
},
{
"name": "vpngw2",
"type": "Microsoft.Network/virtualNetworkGateways",
"etag": "W/\"00000000-0000-0000-0000-000000000000\"",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/virtualNetworkGateways/vpngw2",
"location": "loc2",
"properties": {
"activeActive": false,
"allowRemoteVnetTraffic": false,
"allowVirtualWanTraffic": false,
"bgpSettings": {
"asn": 65515,
"bgpPeeringAddress": "10.1.0.46",
"peerWeight": 0
},
"customRoutes": {
"addressPrefixes": [
"101.168.0.6/32"
]
},
"disableIPSecReplayProtection": false,
"enableBgp": false,
"enableBgpRouteTranslationForNat": false,
"enablePrivateIpAddress": true,
"gatewayType": "Vpn",
"ipConfigurations": [
{
"name": "default",
"etag": "W/\"00000000-0000-0000-0000-000000000000\"",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/virtualNetworkGateways/vpngw2/ipConfigurations/default",
"properties": {
"privateIPAddress": "10.1.0.7",
"privateIPAllocationMethod": "Dynamic",
"provisioningState": "Succeeded",
"publicIPAddress": {
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/publicIPAddresses/vpngw2-ip"
},
"subnet": {
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/virtualNetworks/vnet2/subnets/GatewaySubnet"
}
}
}
],
"natRules": [
{
"name": "natRule1",
"etag": "W/\"00ae2b69-88e7-4b3a-b66a-cfa2244e0801\"",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/virtualNetworkGateways/vpngw2/natRules/natRule1",
"properties": {
"type": "Static",
"externalMappings": [
{
"addressSpace": "50.0.0.0/24"
}
],
"internalMappings": [
{
"addressSpace": "10.10.0.0/24"
}
],
"mode": "EgressSnat",
"provisioningState": "Succeeded"
}
},
{
"name": "natRule2",
"etag": "W/\"00ae2b69-88e7-4b3a-b66a-cfa2244e0801\"",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/virtualNetworkGateways/vpngw2/natRules/natRule2",
"properties": {
"type": "Static",
"externalMappings": [
{
"addressSpace": "30.0.0.0/24"
}
],
"internalMappings": [
{
"addressSpace": "20.10.0.0/24"
}
],
"mode": "IngressSnat",
"provisioningState": "Succeeded"
}
}
],
"provisioningState": "Succeeded",
"resourceGuid": "00000000-0000-0000-0000-000000000000",
"sku": {
"name": "VpnGw1",
"capacity": 2,
"tier": "VpnGw1"
},
"virtualNetworkGatewayMigrationStatus": {
"errorMessage": "",
"phase": "",
"state": ""
},
"vpnClientConfiguration": {
"radiusServers": [
{
"radiusServerAddress": "10.2.0.0",
"radiusServerScore": 20
}
],
"vpnClientProtocols": [
"OpenVPN"
],
"vpnClientRevokedCertificates": [],
"vpnClientRootCertificates": []
},
"vpnGatewayGeneration": "None",
"vpnType": "RouteBased"
}
}
]
}
Definitions
| Name | Description |
|---|---|
|
Admin |
Property to indicate if the Express Route Gateway serves traffic when there are multiple Express Route Gateways in the vnet |
|
Bgp |
BGP settings details. |
|
Common. |
AddressSpace contains an array of IP address ranges that can be used by subnets of the virtual network. |
|
Common. |
An error response from the service. |
|
Common. |
An error response from the service. |
|
Common. |
ExtendedLocation complex type. |
|
Common. |
IpamPool prefix allocation reference. |
|
Common. |
Identity for the resource. |
|
Common. |
Reference to another subresource. |
|
Dh |
The DH Groups used in IKE Phase 1 for initial SA. |
|
Extended |
The type of the extended location. |
|
Ike |
The IKE encryption algorithm (IKE phase 2). |
|
Ike |
The IKE integrity algorithm (IKE phase 2). |
|
IPAllocation |
The private IP address allocation method. |
|
IPConfiguration |
Properties of IPConfigurationBgpPeeringAddress. |
|
Ipsec |
The IPSec encryption algorithm (IKE phase 1). |
|
Ipsec |
The IPSec integrity algorithm (IKE phase 1). |
|
Ipsec |
An IPSec Policy configuration for a virtual network gateway connection. |
|
Managed |
|
|
Pfs |
The Pfs Groups used in IKE Phase 2 for new child SA. |
|
Provisioning |
The provisioning state of the network interface tap configuration resource. |
|
Radius |
Radius Server Settings. |
|
Resiliency |
Property to indicate if the Express Route Gateway has resiliency model of MultiHomed or SingleHomed |
|
Resource |
The type of identity used for the resource. The type 'SystemAssigned, UserAssigned' includes both an implicitly created identity and a set of user assigned identities. The type 'None' will remove any identities from the virtual machine. |
|
Virtual |
A common class for general resource information. |
|
Virtual |
|
|
Virtual |
Virtual Network Gateway Autoscale Configuration details |
|
Virtual |
IP configuration for virtual network gateway. |
|
Virtual |
The response of a VirtualNetworkGateway list operation. |
|
Virtual |
Represent the current migration phase of gateway. |
|
Virtual |
Represent the current state of gateway migration. |
|
Virtual |
Migration status for the Virtual Network Gateway. |
|
Virtual |
VirtualNetworkGatewayNatRule Resource. |
|
Virtual |
Parameters for VirtualNetworkGatewayPolicyGroup. |
|
Virtual |
Vpn Client Connection configuration PolicyGroup member |
|
Virtual |
VirtualNetworkGatewaySku details. |
|
Virtual |
Gateway SKU name. |
|
Virtual |
Gateway SKU tier. |
|
Virtual |
The type of this virtual network gateway. |
|
Vng |
A vpn client connection configuration for client connection configuration. |
|
Vpn |
VPN authentication types enabled for the virtual network gateway. |
|
Vpn |
VpnClientConfiguration for P2S client. |
|
Vpn |
VPN client protocol enabled for the virtual network gateway. |
|
Vpn |
VPN client revoked certificate of virtual network gateway. |
|
Vpn |
VPN client root certificate of virtual network gateway. |
|
Vpn |
The generation for this VirtualNetworkGateway. Must be None if gatewayType is not VPN. |
|
Vpn |
Vpn NatRule mapping. |
|
Vpn |
The Source NAT direction of a VPN NAT. |
|
Vpn |
The type of NAT rule for VPN NAT. |
|
Vpn |
The Vpn Policy member attribute type. |
|
Vpn |
The type of this virtual network gateway. |
AdminState
Property to indicate if the Express Route Gateway serves traffic when there are multiple Express Route Gateways in the vnet
| Value | Description |
|---|---|
| Enabled |
Enabled |
| Disabled |
Disabled |
BgpSettings
BGP settings details.
| Name | Type | Description |
|---|---|---|
| asn |
integer (int64) minimum: 0maximum: 4294967295 |
The BGP speaker's ASN. |
| bgpPeeringAddress |
string |
The BGP peering address and BGP identifier of this BGP speaker. |
| bgpPeeringAddresses |
BGP peering address with IP configuration ID for virtual network gateway. |
|
| peerWeight |
integer (int32) |
The weight added to routes learned from this BGP speaker. |
Common.AddressSpace
AddressSpace contains an array of IP address ranges that can be used by subnets of the virtual network.
| Name | Type | Description |
|---|---|---|
| addressPrefixes |
string[] |
A list of address blocks reserved for this virtual network in CIDR notation. |
| ipamPoolPrefixAllocations |
A list of IPAM Pools allocating IP address prefixes. |
Common.CloudError
An error response from the service.
| Name | Type | Description |
|---|---|---|
| error |
Cloud error body. |
Common.CloudErrorBody
An error response from the service.
| Name | Type | Description |
|---|---|---|
| code |
string |
An identifier for the error. Codes are invariant and are intended to be consumed programmatically. |
| details |
A list of additional details about the error. |
|
| message |
string |
A message describing the error, intended to be suitable for display in a user interface. |
| target |
string |
The target of the particular error. For example, the name of the property in error. |
Common.ExtendedLocation
ExtendedLocation complex type.
| Name | Type | Description |
|---|---|---|
| name |
string |
The name of the extended location. |
| type |
The type of the extended location. |
Common.IpamPoolPrefixAllocation
IpamPool prefix allocation reference.
| Name | Type | Description |
|---|---|---|
| allocatedAddressPrefixes |
string[] |
List of assigned IP address prefixes in the IpamPool of the associated resource. |
| numberOfIpAddresses |
string |
Number of IP addresses to allocate. |
| pool.id |
string (arm-id) |
Resource id of the associated Azure IpamPool resource. |
Common.ManagedServiceIdentity
Identity for the resource.
| Name | Type | Description |
|---|---|---|
| principalId |
string |
The principal id of the system assigned identity. This property will only be provided for a system assigned identity. |
| tenantId |
string |
The tenant id of the system assigned identity. This property will only be provided for a system assigned identity. |
| type |
The type of identity used for the resource. The type 'SystemAssigned, UserAssigned' includes both an implicitly created identity and a set of user assigned identities. The type 'None' will remove any identities from the virtual machine. |
|
| userAssignedIdentities |
The list of user identities associated with resource. The user identity dictionary key references will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}'. |
Common.SubResource
Reference to another subresource.
| Name | Type | Description |
|---|---|---|
| id |
string |
Resource ID. |
DhGroup
The DH Groups used in IKE Phase 1 for initial SA.
| Value | Description |
|---|---|
| None |
None |
| DHGroup1 |
DHGroup1 |
| DHGroup2 |
DHGroup2 |
| DHGroup14 |
DHGroup14 |
| DHGroup2048 |
DHGroup2048 |
| ECP256 |
ECP256 |
| ECP384 |
ECP384 |
| DHGroup24 |
DHGroup24 |
ExtendedLocationTypes
The type of the extended location.
| Value | Description |
|---|---|
| EdgeZone |
EdgeZone |
IkeEncryption
The IKE encryption algorithm (IKE phase 2).
| Value | Description |
|---|---|
| DES |
DES |
| DES3 |
DES3 |
| AES128 |
AES128 |
| AES192 |
AES192 |
| AES256 |
AES256 |
| GCMAES256 |
GCMAES256 |
| GCMAES128 |
GCMAES128 |
IkeIntegrity
The IKE integrity algorithm (IKE phase 2).
| Value | Description |
|---|---|
| MD5 |
MD5 |
| SHA1 |
SHA1 |
| SHA256 |
SHA256 |
| SHA384 |
SHA384 |
| GCMAES256 |
GCMAES256 |
| GCMAES128 |
GCMAES128 |
IPAllocationMethod
The private IP address allocation method.
| Value | Description |
|---|---|
| Static |
Static |
| Dynamic |
Dynamic |
IPConfigurationBgpPeeringAddress
Properties of IPConfigurationBgpPeeringAddress.
| Name | Type | Description |
|---|---|---|
| customBgpIpAddresses |
string[] |
The list of custom BGP peering addresses which belong to IP configuration. |
| defaultBgpIpAddresses |
string[] |
The list of default BGP peering addresses which belong to IP configuration. |
| ipconfigurationId |
string |
The ID of IP configuration which belongs to gateway. |
| tunnelIpAddresses |
string[] |
The list of tunnel public IP addresses which belong to IP configuration. |
IpsecEncryption
The IPSec encryption algorithm (IKE phase 1).
| Value | Description |
|---|---|
| None |
None |
| DES |
DES |
| DES3 |
DES3 |
| AES128 |
AES128 |
| AES192 |
AES192 |
| AES256 |
AES256 |
| GCMAES128 |
GCMAES128 |
| GCMAES192 |
GCMAES192 |
| GCMAES256 |
GCMAES256 |
IpsecIntegrity
The IPSec integrity algorithm (IKE phase 1).
| Value | Description |
|---|---|
| MD5 |
MD5 |
| SHA1 |
SHA1 |
| SHA256 |
SHA256 |
| GCMAES128 |
GCMAES128 |
| GCMAES192 |
GCMAES192 |
| GCMAES256 |
GCMAES256 |
IpsecPolicy
An IPSec Policy configuration for a virtual network gateway connection.
| Name | Type | Description |
|---|---|---|
| dhGroup |
The DH Group used in IKE Phase 1 for initial SA. |
|
| ikeEncryption |
The IKE encryption algorithm (IKE phase 2). |
|
| ikeIntegrity |
The IKE integrity algorithm (IKE phase 2). |
|
| ipsecEncryption |
The IPSec encryption algorithm (IKE phase 1). |
|
| ipsecIntegrity |
The IPSec integrity algorithm (IKE phase 1). |
|
| pfsGroup |
The Pfs Group used in IKE Phase 2 for new child SA. |
|
| saDataSizeKilobytes |
integer (int32) |
The IPSec Security Association (also called Quick Mode or Phase 2 SA) payload size in KB for a site to site VPN tunnel. |
| saLifeTimeSeconds |
integer (int32) |
The IPSec Security Association (also called Quick Mode or Phase 2 SA) lifetime in seconds for a site to site VPN tunnel. |
ManagedServiceIdentityUserAssignedIdentities
| Name | Type | Description |
|---|---|---|
| clientId |
string |
The client id of user assigned identity. |
| principalId |
string |
The principal id of user assigned identity. |
PfsGroup
The Pfs Groups used in IKE Phase 2 for new child SA.
| Value | Description |
|---|---|
| None |
None |
| PFS1 |
PFS1 |
| PFS2 |
PFS2 |
| PFS2048 |
PFS2048 |
| ECP256 |
ECP256 |
| ECP384 |
ECP384 |
| PFS24 |
PFS24 |
| PFS14 |
PFS14 |
| PFSMM |
PFSMM |
ProvisioningState
The provisioning state of the network interface tap configuration resource.
| Value | Description |
|---|---|
| Failed |
Failed |
| Succeeded |
Succeeded |
| Canceled |
Canceled |
| Creating |
Creating |
| Updating |
Updating |
| Deleting |
Deleting |
RadiusServer
Radius Server Settings.
| Name | Type | Description |
|---|---|---|
| radiusServerAddress |
string |
The address of this radius server. |
| radiusServerScore |
integer (int64) |
The initial score assigned to this radius server. |
| radiusServerSecret |
string (password) |
The secret used for this radius server. We will no longer return radiusServerSecret in VirtualNetworkGateway Create/Update/Get/List/UpdateTags APIs response. Please use VirtualNetworkGateway ListRadiusSecrets API to fetch radius server secrets. |
ResiliencyModel
Property to indicate if the Express Route Gateway has resiliency model of MultiHomed or SingleHomed
| Value | Description |
|---|---|
| SingleHomed |
SingleHomed |
| MultiHomed |
MultiHomed |
ResourceIdentityType
The type of identity used for the resource. The type 'SystemAssigned, UserAssigned' includes both an implicitly created identity and a set of user assigned identities. The type 'None' will remove any identities from the virtual machine.
| Value | Description |
|---|---|
| SystemAssigned |
SystemAssigned |
| UserAssigned |
UserAssigned |
| SystemAssigned, UserAssigned |
SystemAssigned, UserAssigned |
| None |
None |
VirtualNetworkGateway
A common class for general resource information.
| Name | Type | Description |
|---|---|---|
| etag |
string |
A unique read-only string that changes whenever the resource is updated. |
| extendedLocation |
The extended location of type local virtual network gateway. |
|
| id |
string |
Resource ID. |
| identity |
The identity of the virtual network gateway, if configured. |
|
| location |
string |
Resource location. |
| name |
string |
Resource name. |
| properties.activeActive |
boolean |
ActiveActive flag. |
| properties.adminState |
Property to indicate if the Express Route Gateway serves traffic when there are multiple Express Route Gateways in the vnet |
|
| properties.allowRemoteVnetTraffic |
boolean |
Configure this gateway to accept traffic from other Azure Virtual Networks. This configuration does not support connectivity to Azure Virtual WAN. |
| properties.allowVirtualWanTraffic |
boolean |
Configures this gateway to accept traffic from remote Virtual WAN networks. |
| properties.autoScaleConfiguration |
Autoscale configuration for virutal network gateway |
|
| properties.bgpSettings |
Virtual network gateway's BGP speaker settings. |
|
| properties.customRoutes |
The reference to the address space resource which represents the custom routes address space specified by the customer for virtual network gateway and VpnClient. |
|
| properties.disableIPSecReplayProtection |
boolean |
disableIPSecReplayProtection flag. |
| properties.enableBgp |
boolean |
Whether BGP is enabled for this virtual network gateway or not. |
| properties.enableBgpRouteTranslationForNat |
boolean |
EnableBgpRouteTranslationForNat flag. |
| properties.enableDnsForwarding |
boolean |
Whether dns forwarding is enabled or not. |
| properties.enableHighBandwidthVpnGateway |
boolean |
To enable Advanced Connectivity feature for VPN gateway |
| properties.enablePrivateIpAddress |
boolean |
Whether private IP needs to be enabled on this gateway for connections or not. |
| properties.gatewayDefaultSite |
The reference to the LocalNetworkGateway resource which represents local network site having default routes. Assign Null value in case of removing existing default site setting. |
|
| properties.gatewayType |
The type of this virtual network gateway. |
|
| properties.inboundDnsForwardingEndpoint |
string |
The IP address allocated by the gateway to which dns requests can be sent. |
| properties.ipConfigurations |
IP configurations for virtual network gateway. |
|
| properties.natRules |
NatRules for virtual network gateway. |
|
| properties.provisioningState |
The provisioning state of the virtual network gateway resource. |
|
| properties.resiliencyModel |
Property to indicate if the Express Route Gateway has resiliency model of MultiHomed or SingleHomed |
|
| properties.resourceGuid |
string |
The resource GUID property of the virtual network gateway resource. |
| properties.sku |
The reference to the VirtualNetworkGatewaySku resource which represents the SKU selected for Virtual network gateway. |
|
| properties.vNetExtendedLocationResourceId |
string |
Customer vnet resource id. VirtualNetworkGateway of type local gateway is associated with the customer vnet. |
| properties.virtualNetworkGatewayMigrationStatus |
The reference to the VirtualNetworkGatewayMigrationStatus which represents the status of migration. |
|
| properties.virtualNetworkGatewayPolicyGroups |
The reference to the VirtualNetworkGatewayPolicyGroup resource which represents the available VirtualNetworkGatewayPolicyGroup for the gateway. |
|
| properties.vpnClientConfiguration |
The reference to the VpnClientConfiguration resource which represents the P2S VpnClient configurations. |
|
| properties.vpnGatewayGeneration |
The generation for this VirtualNetworkGateway. Must be None if gatewayType is not VPN. |
|
| properties.vpnType |
The type of this virtual network gateway. |
|
| tags |
object |
Resource tags. |
| type |
string |
Resource type. |
VirtualNetworkGatewayAutoScaleBounds
| Name | Type | Description |
|---|---|---|
| max |
integer (int32) |
Maximum Scale Units for Autoscale configuration |
| min |
integer (int32) |
Minimum scale Units for Autoscale configuration |
VirtualNetworkGatewayAutoScaleConfiguration
Virtual Network Gateway Autoscale Configuration details
| Name | Type | Description |
|---|---|---|
| bounds |
The bounds of the autoscale configuration |
VirtualNetworkGatewayIPConfiguration
IP configuration for virtual network gateway.
| Name | Type | Description |
|---|---|---|
| etag |
string |
A unique read-only string that changes whenever the resource is updated. |
| id |
string |
Resource ID. |
| name |
string |
The name of the resource that is unique within a resource group. This name can be used to access the resource. |
| properties.privateIPAddress |
string |
Private IP Address for this gateway. |
| properties.privateIPAllocationMethod |
The private IP address allocation method. |
|
| properties.provisioningState |
The provisioning state of the virtual network gateway IP configuration resource. |
|
| properties.publicIPAddress |
The reference to the public IP resource. |
|
| properties.subnet |
The reference to the subnet resource. |
VirtualNetworkGatewayListResult
The response of a VirtualNetworkGateway list operation.
| Name | Type | Description |
|---|---|---|
| nextLink |
string (uri) |
The link to the next page of items |
| value |
The VirtualNetworkGateway items on this page |
VirtualNetworkGatewayMigrationPhase
Represent the current migration phase of gateway.
| Value | Description |
|---|---|
| None |
No migration phase set on gateway. |
| Prepare |
Gateway is going through prepare migration or prepare has failed. Please see state and error details for more information. |
| PrepareSucceeded |
Prepare succeeded on gateway. |
| Execute |
Gateway is going through execute migration or execute has failed. Please see state and error details for more information. |
| ExecuteSucceeded |
Execute succeeded on gateway. |
| Commit |
Gateway is going through commit migration or commit has failed. Please see state and error details for more information. |
| CommitSucceeded |
Commit succeeded, represent migration is complete for the gateway. |
| AbortSucceeded |
Represent abort succeeded on gateway, start with prepare to retrigger migration. |
| Abort |
Gateway is going through abort migration or abort has failed. Please see state and error details for more information. |
VirtualNetworkGatewayMigrationState
Represent the current state of gateway migration.
| Value | Description |
|---|---|
| None |
None |
| InProgress |
InProgress |
| Succeeded |
Succeeded |
| Failed |
Failed |
VirtualNetworkGatewayMigrationStatus
Migration status for the Virtual Network Gateway.
| Name | Type | Description |
|---|---|---|
| errorMessage |
string |
Error if any occurs during migration. |
| phase |
Represent the current migration phase of gateway. |
|
| state |
Represent the current state of gateway migration. |
VirtualNetworkGatewayNatRule
VirtualNetworkGatewayNatRule Resource.
| Name | Type | Description |
|---|---|---|
| etag |
string |
A unique read-only string that changes whenever the resource is updated. |
| id |
string |
Resource ID. |
| name |
string |
Name of the resource. |
| properties.externalMappings |
The private IP address external mapping for NAT. |
|
| properties.internalMappings |
The private IP address internal mapping for NAT. |
|
| properties.ipConfigurationId |
string |
The IP Configuration ID this NAT rule applies to. |
| properties.mode |
The Source NAT direction of a VPN NAT. |
|
| properties.provisioningState |
The provisioning state of the NAT Rule resource. |
|
| properties.type |
The type of NAT rule for VPN NAT. |
|
| type |
string |
Resource type. |
VirtualNetworkGatewayPolicyGroup
Parameters for VirtualNetworkGatewayPolicyGroup.
| Name | Type | Description |
|---|---|---|
| etag |
string |
A unique read-only string that changes whenever the resource is updated. |
| id |
string |
Resource ID. |
| name |
string |
The name of the resource that is unique within a resource group. This name can be used to access the resource. |
| properties.isDefault |
boolean |
Shows if this is a Default VirtualNetworkGatewayPolicyGroup or not. |
| properties.policyMembers |
Multiple PolicyMembers for VirtualNetworkGatewayPolicyGroup. |
|
| properties.priority |
integer (int32) |
Priority for VirtualNetworkGatewayPolicyGroup. |
| properties.provisioningState |
The provisioning state of the VirtualNetworkGatewayPolicyGroup resource. |
|
| properties.vngClientConnectionConfigurations |
List of references to vngClientConnectionConfigurations. |
VirtualNetworkGatewayPolicyGroupMember
Vpn Client Connection configuration PolicyGroup member
| Name | Type | Description |
|---|---|---|
| attributeType |
The Vpn Policy member attribute type. |
|
| attributeValue |
string |
The value of Attribute used for this VirtualNetworkGatewayPolicyGroupMember. |
| name |
string |
Name of the VirtualNetworkGatewayPolicyGroupMember. |
VirtualNetworkGatewaySku
VirtualNetworkGatewaySku details.
| Name | Type | Description |
|---|---|---|
| capacity |
integer (int32) |
The capacity. |
| name |
Gateway SKU name. |
|
| tier |
Gateway SKU tier. |
VirtualNetworkGatewaySkuName
Gateway SKU name.
| Value | Description |
|---|---|
| Basic |
Basic |
| HighPerformance |
HighPerformance |
| Standard |
Standard |
| UltraPerformance |
UltraPerformance |
| VpnGw1 |
VpnGw1 |
| VpnGw2 |
VpnGw2 |
| VpnGw3 |
VpnGw3 |
| VpnGw4 |
VpnGw4 |
| VpnGw5 |
VpnGw5 |
| VpnGw1AZ |
VpnGw1AZ |
| VpnGw2AZ |
VpnGw2AZ |
| VpnGw3AZ |
VpnGw3AZ |
| VpnGw4AZ |
VpnGw4AZ |
| VpnGw5AZ |
VpnGw5AZ |
| ErGw1AZ |
ErGw1AZ |
| ErGw2AZ |
ErGw2AZ |
| ErGw3AZ |
ErGw3AZ |
| ErGwScale |
ErGwScale |
VirtualNetworkGatewaySkuTier
Gateway SKU tier.
| Value | Description |
|---|---|
| Basic |
Basic |
| HighPerformance |
HighPerformance |
| Standard |
Standard |
| UltraPerformance |
UltraPerformance |
| VpnGw1 |
VpnGw1 |
| VpnGw2 |
VpnGw2 |
| VpnGw3 |
VpnGw3 |
| VpnGw4 |
VpnGw4 |
| VpnGw5 |
VpnGw5 |
| VpnGw1AZ |
VpnGw1AZ |
| VpnGw2AZ |
VpnGw2AZ |
| VpnGw3AZ |
VpnGw3AZ |
| VpnGw4AZ |
VpnGw4AZ |
| VpnGw5AZ |
VpnGw5AZ |
| ErGw1AZ |
ErGw1AZ |
| ErGw2AZ |
ErGw2AZ |
| ErGw3AZ |
ErGw3AZ |
| ErGwScale |
ErGwScale |
VirtualNetworkGatewayType
The type of this virtual network gateway.
| Value | Description |
|---|---|
| Vpn |
Vpn |
| ExpressRoute |
ExpressRoute |
| LocalGateway |
LocalGateway |
VngClientConnectionConfiguration
A vpn client connection configuration for client connection configuration.
| Name | Type | Description |
|---|---|---|
| etag |
string |
A unique read-only string that changes whenever the resource is updated. |
| id |
string |
Resource ID. |
| name |
string |
The name of the resource that is unique within a resource group. This name can be used to access the resource. |
| properties.provisioningState |
The provisioning state of the VngClientConnectionConfiguration resource. |
|
| properties.virtualNetworkGatewayPolicyGroups |
List of references to virtualNetworkGatewayPolicyGroups |
|
| properties.vpnClientAddressPool |
The reference to the address space resource which represents Address space for P2S VpnClient. |
VpnAuthenticationType
VPN authentication types enabled for the virtual network gateway.
| Value | Description |
|---|---|
| Certificate |
Certificate |
| Radius |
Radius |
| AAD |
AAD |
VpnClientConfiguration
VpnClientConfiguration for P2S client.
| Name | Type | Description |
|---|---|---|
| aadAudience |
string |
The AADAudience property of the VirtualNetworkGateway resource for vpn client connection used for AAD authentication. |
| aadIssuer |
string |
The AADIssuer property of the VirtualNetworkGateway resource for vpn client connection used for AAD authentication. |
| aadTenant |
string |
The AADTenant property of the VirtualNetworkGateway resource for vpn client connection used for AAD authentication. |
| radiusServerAddress |
string |
The radius server address property of the VirtualNetworkGateway resource for vpn client connection. |
| radiusServerSecret |
string (password) |
The radius secret property of the VirtualNetworkGateway resource for vpn client connection. We will no longer return radiusServerSecret in VirtualNetworkGateway Create/Update/Get/List/UpdateTags APIs response. Please use VirtualNetworkGateway ListRadiusSecrets API to fetch radius server secrets. |
| radiusServers |
The radiusServers property for multiple radius server configuration. |
|
| vngClientConnectionConfigurations |
per ip address pool connection policy for virtual network gateway P2S client. |
|
| vpnAuthenticationTypes |
VPN authentication types for the virtual network gateway.. |
|
| vpnClientAddressPool |
The reference to the address space resource which represents Address space for P2S VpnClient. |
|
| vpnClientIpsecPolicies |
VpnClientIpsecPolicies for virtual network gateway P2S client. |
|
| vpnClientProtocols |
VpnClientProtocols for Virtual network gateway. |
|
| vpnClientRevokedCertificates |
VpnClientRevokedCertificate for Virtual network gateway. |
|
| vpnClientRootCertificates |
VpnClientRootCertificate for virtual network gateway. |
VpnClientProtocol
VPN client protocol enabled for the virtual network gateway.
| Value | Description |
|---|---|
| IkeV2 |
IkeV2 |
| SSTP |
SSTP |
| OpenVPN |
OpenVPN |
VpnClientRevokedCertificate
VPN client revoked certificate of virtual network gateway.
| Name | Type | Description |
|---|---|---|
| etag |
string |
A unique read-only string that changes whenever the resource is updated. |
| id |
string |
Resource ID. |
| name |
string |
The name of the resource that is unique within a resource group. This name can be used to access the resource. |
| properties.provisioningState |
The provisioning state of the VPN client revoked certificate resource. |
|
| properties.thumbprint |
string |
The revoked VPN client certificate thumbprint. |
VpnClientRootCertificate
VPN client root certificate of virtual network gateway.
| Name | Type | Description |
|---|---|---|
| etag |
string |
A unique read-only string that changes whenever the resource is updated. |
| id |
string |
Resource ID. |
| name |
string |
The name of the resource that is unique within a resource group. This name can be used to access the resource. |
| properties.provisioningState |
The provisioning state of the VPN client root certificate resource. |
|
| properties.publicCertData |
string |
The certificate public data. |
VpnGatewayGeneration
The generation for this VirtualNetworkGateway. Must be None if gatewayType is not VPN.
| Value | Description |
|---|---|
| None |
None |
| Generation1 |
Generation1 |
| Generation2 |
Generation2 |
VpnNatRuleMapping
Vpn NatRule mapping.
| Name | Type | Description |
|---|---|---|
| addressSpace |
string |
Address space for Vpn NatRule mapping. |
| portRange |
string |
Port range for Vpn NatRule mapping. |
VpnNatRuleMode
The Source NAT direction of a VPN NAT.
| Value | Description |
|---|---|
| EgressSnat |
EgressSnat |
| IngressSnat |
IngressSnat |
VpnNatRuleType
The type of NAT rule for VPN NAT.
| Value | Description |
|---|---|
| Static |
Static |
| Dynamic |
Dynamic |
VpnPolicyMemberAttributeType
The Vpn Policy member attribute type.
| Value | Description |
|---|---|
| CertificateGroupId |
CertificateGroupId |
| AADGroupId |
AADGroupId |
| RadiusAzureGroupId |
RadiusAzureGroupId |
VpnType
The type of this virtual network gateway.
| Value | Description |
|---|---|
| PolicyBased |
PolicyBased |
| RouteBased |
RouteBased |